# Package oracle.xml.sql

Provides APIs for generating XML from the database and storing XML in the database.

See: Description

Exception Summary
OracleXMLSQLException: The `OracleXMLSQLException` class is the generic runtime exception thrown by the XSU.
OracleXMLSQLNoRowsException: The `OracleXMLSQLNoRowsException` class represents the runtime exception thrown when no rows are returned by a query when using the XSU.

## Package oracle.xml.sql Description

Provides APIs for generating XML from the database and storing XML in the database.

## Related Documentation

For overviews, tutorials, examples, guides, and tool documentation, please see:

- https://www.oracle.com/database/technologies/appdev/xmldb.html

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.